IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network22.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
22.64.0.0- Broadcast address
22.127.255.255- First usable
22.64.0.1- Last usable
22.127.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
16400000· Integer373293056to377487359 - Reverse DNS zones
64.22.in-addr.arpa65.22.in-addr.arpa66.22.in-addr.arpa67.22.in-addr.arpa68.22.in-addr.arpa69.22.in-addr.arpa70.22.in-addr.arpa71.22.in-addr.arpa72.22.in-addr.arpa73.22.in-addr.arpa74.22.in-addr.arpa75.22.in-addr.arpa76.22.in-addr.arpa77.22.in-addr.arpa78.22.in-addr.arpa79.22.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00010110.01000000.00000000.00000000 | 22.64.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 00010110.01000000.00000000.00000000 | 22.64.0.0 |
| Broadcast | 00010110.01111111.11111111.11111111 | 22.127.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
22.64.0.0/10 makes 512 subnets of /19; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 22.64.0.0/19 | 22.64.0.1 to 22.64.31.254 | 22.64.31.255 | 8,190 |
| 2 | 22.64.32.0/19 | 22.64.32.1 to 22.64.63.254 | 22.64.63.255 | 8,190 |
| 3 | 22.64.64.0/19 | 22.64.64.1 to 22.64.95.254 | 22.64.95.255 | 8,190 |
| 4 | 22.64.96.0/19 | 22.64.96.1 to 22.64.127.254 | 22.64.127.255 | 8,190 |
| 5 | 22.64.128.0/19 | 22.64.128.1 to 22.64.159.254 | 22.64.159.255 | 8,190 |
| 6 | 22.64.160.0/19 | 22.64.160.1 to 22.64.191.254 | 22.64.191.255 | 8,190 |
| 7 | 22.64.192.0/19 | 22.64.192.1 to 22.64.223.254 | 22.64.223.255 | 8,190 |
| 8 | 22.64.224.0/19 | 22.64.224.1 to 22.64.255.254 | 22.64.255.255 | 8,190 |
| 9 | 22.65.0.0/19 | 22.65.0.1 to 22.65.31.254 | 22.65.31.255 | 8,190 |
| 10 | 22.65.32.0/19 | 22.65.32.1 to 22.65.63.254 | 22.65.63.255 | 8,190 |
| 11 | 22.65.64.0/19 | 22.65.64.1 to 22.65.95.254 | 22.65.95.255 | 8,190 |
| 12 | 22.65.96.0/19 | 22.65.96.1 to 22.65.127.254 | 22.65.127.255 | 8,190 |
| 13 | 22.65.128.0/19 | 22.65.128.1 to 22.65.159.254 | 22.65.159.255 | 8,190 |
| 14 | 22.65.160.0/19 | 22.65.160.1 to 22.65.191.254 | 22.65.191.255 | 8,190 |
| 15 | 22.65.192.0/19 | 22.65.192.1 to 22.65.223.254 | 22.65.223.255 | 8,190 |
| 16 | 22.65.224.0/19 | 22.65.224.1 to 22.65.255.254 | 22.65.255.255 | 8,190 |
| 17 | 22.66.0.0/19 | 22.66.0.1 to 22.66.31.254 | 22.66.31.255 | 8,190 |
| 18 | 22.66.32.0/19 | 22.66.32.1 to 22.66.63.254 | 22.66.63.255 | 8,190 |
| 19 | 22.66.64.0/19 | 22.66.64.1 to 22.66.95.254 | 22.66.95.255 | 8,190 |
| 20 | 22.66.96.0/19 | 22.66.96.1 to 22.66.127.254 | 22.66.127.255 | 8,190 |
| 21 | 22.66.128.0/19 | 22.66.128.1 to 22.66.159.254 | 22.66.159.255 | 8,190 |
| 22 | 22.66.160.0/19 | 22.66.160.1 to 22.66.191.254 | 22.66.191.255 | 8,190 |
| 23 | 22.66.192.0/19 | 22.66.192.1 to 22.66.223.254 | 22.66.223.255 | 8,190 |
| 24 | 22.66.224.0/19 | 22.66.224.1 to 22.66.255.254 | 22.66.255.255 | 8,190 |
| 25 | 22.67.0.0/19 | 22.67.0.1 to 22.67.31.254 | 22.67.31.255 | 8,190 |
| 26 | 22.67.32.0/19 | 22.67.32.1 to 22.67.63.254 | 22.67.63.255 | 8,190 |
| 27 | 22.67.64.0/19 | 22.67.64.1 to 22.67.95.254 | 22.67.95.255 | 8,190 |
| 28 | 22.67.96.0/19 | 22.67.96.1 to 22.67.127.254 | 22.67.127.255 | 8,190 |
| 29 | 22.67.128.0/19 | 22.67.128.1 to 22.67.159.254 | 22.67.159.255 | 8,190 |
| 30 | 22.67.160.0/19 | 22.67.160.1 to 22.67.191.254 | 22.67.191.255 | 8,190 |
| 31 | 22.67.192.0/19 | 22.67.192.1 to 22.67.223.254 | 22.67.223.255 | 8,190 |
| 32 | 22.67.224.0/19 | 22.67.224.1 to 22.67.255.254 | 22.67.255.255 | 8,190 |
| 33 | 22.68.0.0/19 | 22.68.0.1 to 22.68.31.254 | 22.68.31.255 | 8,190 |
| 34 | 22.68.32.0/19 | 22.68.32.1 to 22.68.63.254 | 22.68.63.255 | 8,190 |
| 35 | 22.68.64.0/19 | 22.68.64.1 to 22.68.95.254 | 22.68.95.255 | 8,190 |
| 36 | 22.68.96.0/19 | 22.68.96.1 to 22.68.127.254 | 22.68.127.255 | 8,190 |
| 37 | 22.68.128.0/19 | 22.68.128.1 to 22.68.159.254 | 22.68.159.255 | 8,190 |
| 38 | 22.68.160.0/19 | 22.68.160.1 to 22.68.191.254 | 22.68.191.255 | 8,190 |
| 39 | 22.68.192.0/19 | 22.68.192.1 to 22.68.223.254 | 22.68.223.255 | 8,190 |
| 40 | 22.68.224.0/19 | 22.68.224.1 to 22.68.255.254 | 22.68.255.255 | 8,190 |
| 41 | 22.69.0.0/19 | 22.69.0.1 to 22.69.31.254 | 22.69.31.255 | 8,190 |
| 42 | 22.69.32.0/19 | 22.69.32.1 to 22.69.63.254 | 22.69.63.255 | 8,190 |
| 43 | 22.69.64.0/19 | 22.69.64.1 to 22.69.95.254 | 22.69.95.255 | 8,190 |
| 44 | 22.69.96.0/19 | 22.69.96.1 to 22.69.127.254 | 22.69.127.255 | 8,190 |
| 45 | 22.69.128.0/19 | 22.69.128.1 to 22.69.159.254 | 22.69.159.255 | 8,190 |
| 46 | 22.69.160.0/19 | 22.69.160.1 to 22.69.191.254 | 22.69.191.255 | 8,190 |
| 47 | 22.69.192.0/19 | 22.69.192.1 to 22.69.223.254 | 22.69.223.255 | 8,190 |
| 48 | 22.69.224.0/19 | 22.69.224.1 to 22.69.255.254 | 22.69.255.255 | 8,190 |
| 49 | 22.70.0.0/19 | 22.70.0.1 to 22.70.31.254 | 22.70.31.255 | 8,190 |
| 50 | 22.70.32.0/19 | 22.70.32.1 to 22.70.63.254 | 22.70.63.255 | 8,190 |
| 51 | 22.70.64.0/19 | 22.70.64.1 to 22.70.95.254 | 22.70.95.255 | 8,190 |
| 52 | 22.70.96.0/19 | 22.70.96.1 to 22.70.127.254 | 22.70.127.255 | 8,190 |
| 53 | 22.70.128.0/19 | 22.70.128.1 to 22.70.159.254 | 22.70.159.255 | 8,190 |
| 54 | 22.70.160.0/19 | 22.70.160.1 to 22.70.191.254 | 22.70.191.255 | 8,190 |
| 55 | 22.70.192.0/19 | 22.70.192.1 to 22.70.223.254 | 22.70.223.255 | 8,190 |
| 56 | 22.70.224.0/19 | 22.70.224.1 to 22.70.255.254 | 22.70.255.255 | 8,190 |
| 57 | 22.71.0.0/19 | 22.71.0.1 to 22.71.31.254 | 22.71.31.255 | 8,190 |
| 58 | 22.71.32.0/19 | 22.71.32.1 to 22.71.63.254 | 22.71.63.255 | 8,190 |
| 59 | 22.71.64.0/19 | 22.71.64.1 to 22.71.95.254 | 22.71.95.255 | 8,190 |
| 60 | 22.71.96.0/19 | 22.71.96.1 to 22.71.127.254 | 22.71.127.255 | 8,190 |
| 61 | 22.71.128.0/19 | 22.71.128.1 to 22.71.159.254 | 22.71.159.255 | 8,190 |
| 62 | 22.71.160.0/19 | 22.71.160.1 to 22.71.191.254 | 22.71.191.255 | 8,190 |
| 63 | 22.71.192.0/19 | 22.71.192.1 to 22.71.223.254 | 22.71.223.255 | 8,190 |
| 64 | 22.71.224.0/19 | 22.71.224.1 to 22.71.255.254 | 22.71.255.255 | 8,190 |
| 65 | 22.72.0.0/19 | 22.72.0.1 to 22.72.31.254 | 22.72.31.255 | 8,190 |
| 66 | 22.72.32.0/19 | 22.72.32.1 to 22.72.63.254 | 22.72.63.255 | 8,190 |
| 67 | 22.72.64.0/19 | 22.72.64.1 to 22.72.95.254 | 22.72.95.255 | 8,190 |
| 68 | 22.72.96.0/19 | 22.72.96.1 to 22.72.127.254 | 22.72.127.255 | 8,190 |
| 69 | 22.72.128.0/19 | 22.72.128.1 to 22.72.159.254 | 22.72.159.255 | 8,190 |
| 70 | 22.72.160.0/19 | 22.72.160.1 to 22.72.191.254 | 22.72.191.255 | 8,190 |
| 71 | 22.72.192.0/19 | 22.72.192.1 to 22.72.223.254 | 22.72.223.255 | 8,190 |
| 72 | 22.72.224.0/19 | 22.72.224.1 to 22.72.255.254 | 22.72.255.255 | 8,190 |
| 73 | 22.73.0.0/19 | 22.73.0.1 to 22.73.31.254 | 22.73.31.255 | 8,190 |
| 74 | 22.73.32.0/19 | 22.73.32.1 to 22.73.63.254 | 22.73.63.255 | 8,190 |
| 75 | 22.73.64.0/19 | 22.73.64.1 to 22.73.95.254 | 22.73.95.255 | 8,190 |
| 76 | 22.73.96.0/19 | 22.73.96.1 to 22.73.127.254 | 22.73.127.255 | 8,190 |
| 77 | 22.73.128.0/19 | 22.73.128.1 to 22.73.159.254 | 22.73.159.255 | 8,190 |
| 78 | 22.73.160.0/19 | 22.73.160.1 to 22.73.191.254 | 22.73.191.255 | 8,190 |
| 79 | 22.73.192.0/19 | 22.73.192.1 to 22.73.223.254 | 22.73.223.255 | 8,190 |
| 80 | 22.73.224.0/19 | 22.73.224.1 to 22.73.255.254 | 22.73.255.255 | 8,190 |
| 81 | 22.74.0.0/19 | 22.74.0.1 to 22.74.31.254 | 22.74.31.255 | 8,190 |
| 82 | 22.74.32.0/19 | 22.74.32.1 to 22.74.63.254 | 22.74.63.255 | 8,190 |
| 83 | 22.74.64.0/19 | 22.74.64.1 to 22.74.95.254 | 22.74.95.255 | 8,190 |
| 84 | 22.74.96.0/19 | 22.74.96.1 to 22.74.127.254 | 22.74.127.255 | 8,190 |
| 85 | 22.74.128.0/19 | 22.74.128.1 to 22.74.159.254 | 22.74.159.255 | 8,190 |
| 86 | 22.74.160.0/19 | 22.74.160.1 to 22.74.191.254 | 22.74.191.255 | 8,190 |
| 87 | 22.74.192.0/19 | 22.74.192.1 to 22.74.223.254 | 22.74.223.255 | 8,190 |
| 88 | 22.74.224.0/19 | 22.74.224.1 to 22.74.255.254 | 22.74.255.255 | 8,190 |
| 89 | 22.75.0.0/19 | 22.75.0.1 to 22.75.31.254 | 22.75.31.255 | 8,190 |
| 90 | 22.75.32.0/19 | 22.75.32.1 to 22.75.63.254 | 22.75.63.255 | 8,190 |
| 91 | 22.75.64.0/19 | 22.75.64.1 to 22.75.95.254 | 22.75.95.255 | 8,190 |
| 92 | 22.75.96.0/19 | 22.75.96.1 to 22.75.127.254 | 22.75.127.255 | 8,190 |
| 93 | 22.75.128.0/19 | 22.75.128.1 to 22.75.159.254 | 22.75.159.255 | 8,190 |
| 94 | 22.75.160.0/19 | 22.75.160.1 to 22.75.191.254 | 22.75.191.255 | 8,190 |
| 95 | 22.75.192.0/19 | 22.75.192.1 to 22.75.223.254 | 22.75.223.255 | 8,190 |
| 96 | 22.75.224.0/19 | 22.75.224.1 to 22.75.255.254 | 22.75.255.255 | 8,190 |
| 97 | 22.76.0.0/19 | 22.76.0.1 to 22.76.31.254 | 22.76.31.255 | 8,190 |
| 98 | 22.76.32.0/19 | 22.76.32.1 to 22.76.63.254 | 22.76.63.255 | 8,190 |
| 99 | 22.76.64.0/19 | 22.76.64.1 to 22.76.95.254 | 22.76.95.255 | 8,190 |
| 100 | 22.76.96.0/19 | 22.76.96.1 to 22.76.127.254 | 22.76.127.255 | 8,190 |
| 101 | 22.76.128.0/19 | 22.76.128.1 to 22.76.159.254 | 22.76.159.255 | 8,190 |
| 102 | 22.76.160.0/19 | 22.76.160.1 to 22.76.191.254 | 22.76.191.255 | 8,190 |
| 103 | 22.76.192.0/19 | 22.76.192.1 to 22.76.223.254 | 22.76.223.255 | 8,190 |
| 104 | 22.76.224.0/19 | 22.76.224.1 to 22.76.255.254 | 22.76.255.255 | 8,190 |
| 105 | 22.77.0.0/19 | 22.77.0.1 to 22.77.31.254 | 22.77.31.255 | 8,190 |
| 106 | 22.77.32.0/19 | 22.77.32.1 to 22.77.63.254 | 22.77.63.255 | 8,190 |
| 107 | 22.77.64.0/19 | 22.77.64.1 to 22.77.95.254 | 22.77.95.255 | 8,190 |
| 108 | 22.77.96.0/19 | 22.77.96.1 to 22.77.127.254 | 22.77.127.255 | 8,190 |
| 109 | 22.77.128.0/19 | 22.77.128.1 to 22.77.159.254 | 22.77.159.255 | 8,190 |
| 110 | 22.77.160.0/19 | 22.77.160.1 to 22.77.191.254 | 22.77.191.255 | 8,190 |
| 111 | 22.77.192.0/19 | 22.77.192.1 to 22.77.223.254 | 22.77.223.255 | 8,190 |
| 112 | 22.77.224.0/19 | 22.77.224.1 to 22.77.255.254 | 22.77.255.255 | 8,190 |
| 113 | 22.78.0.0/19 | 22.78.0.1 to 22.78.31.254 | 22.78.31.255 | 8,190 |
| 114 | 22.78.32.0/19 | 22.78.32.1 to 22.78.63.254 | 22.78.63.255 | 8,190 |
| 115 | 22.78.64.0/19 | 22.78.64.1 to 22.78.95.254 | 22.78.95.255 | 8,190 |
| 116 | 22.78.96.0/19 | 22.78.96.1 to 22.78.127.254 | 22.78.127.255 | 8,190 |
| 117 | 22.78.128.0/19 | 22.78.128.1 to 22.78.159.254 | 22.78.159.255 | 8,190 |
| 118 | 22.78.160.0/19 | 22.78.160.1 to 22.78.191.254 | 22.78.191.255 | 8,190 |
| 119 | 22.78.192.0/19 | 22.78.192.1 to 22.78.223.254 | 22.78.223.255 | 8,190 |
| 120 | 22.78.224.0/19 | 22.78.224.1 to 22.78.255.254 | 22.78.255.255 | 8,190 |
| 121 | 22.79.0.0/19 | 22.79.0.1 to 22.79.31.254 | 22.79.31.255 | 8,190 |
| 122 | 22.79.32.0/19 | 22.79.32.1 to 22.79.63.254 | 22.79.63.255 | 8,190 |
| 123 | 22.79.64.0/19 | 22.79.64.1 to 22.79.95.254 | 22.79.95.255 | 8,190 |
| 124 | 22.79.96.0/19 | 22.79.96.1 to 22.79.127.254 | 22.79.127.255 | 8,190 |
| 125 | 22.79.128.0/19 | 22.79.128.1 to 22.79.159.254 | 22.79.159.255 | 8,190 |
| 126 | 22.79.160.0/19 | 22.79.160.1 to 22.79.191.254 | 22.79.191.255 | 8,190 |
| 127 | 22.79.192.0/19 | 22.79.192.1 to 22.79.223.254 | 22.79.223.255 | 8,190 |
| 128 | 22.79.224.0/19 | 22.79.224.1 to 22.79.255.254 | 22.79.255.255 | 8,190 |
| 129 | 22.80.0.0/19 | 22.80.0.1 to 22.80.31.254 | 22.80.31.255 | 8,190 |
| 130 | 22.80.32.0/19 | 22.80.32.1 to 22.80.63.254 | 22.80.63.255 | 8,190 |
| 131 | 22.80.64.0/19 | 22.80.64.1 to 22.80.95.254 | 22.80.95.255 | 8,190 |
| 132 | 22.80.96.0/19 | 22.80.96.1 to 22.80.127.254 | 22.80.127.255 | 8,190 |
| 133 | 22.80.128.0/19 | 22.80.128.1 to 22.80.159.254 | 22.80.159.255 | 8,190 |
| 134 | 22.80.160.0/19 | 22.80.160.1 to 22.80.191.254 | 22.80.191.255 | 8,190 |
| 135 | 22.80.192.0/19 | 22.80.192.1 to 22.80.223.254 | 22.80.223.255 | 8,190 |
| 136 | 22.80.224.0/19 | 22.80.224.1 to 22.80.255.254 | 22.80.255.255 | 8,190 |
| 137 | 22.81.0.0/19 | 22.81.0.1 to 22.81.31.254 | 22.81.31.255 | 8,190 |
| 138 | 22.81.32.0/19 | 22.81.32.1 to 22.81.63.254 | 22.81.63.255 | 8,190 |
| 139 | 22.81.64.0/19 | 22.81.64.1 to 22.81.95.254 | 22.81.95.255 | 8,190 |
| 140 | 22.81.96.0/19 | 22.81.96.1 to 22.81.127.254 | 22.81.127.255 | 8,190 |
| 141 | 22.81.128.0/19 | 22.81.128.1 to 22.81.159.254 | 22.81.159.255 | 8,190 |
| 142 | 22.81.160.0/19 | 22.81.160.1 to 22.81.191.254 | 22.81.191.255 | 8,190 |
| 143 | 22.81.192.0/19 | 22.81.192.1 to 22.81.223.254 | 22.81.223.255 | 8,190 |
| 144 | 22.81.224.0/19 | 22.81.224.1 to 22.81.255.254 | 22.81.255.255 | 8,190 |
| 145 | 22.82.0.0/19 | 22.82.0.1 to 22.82.31.254 | 22.82.31.255 | 8,190 |
| 146 | 22.82.32.0/19 | 22.82.32.1 to 22.82.63.254 | 22.82.63.255 | 8,190 |
| 147 | 22.82.64.0/19 | 22.82.64.1 to 22.82.95.254 | 22.82.95.255 | 8,190 |
| 148 | 22.82.96.0/19 | 22.82.96.1 to 22.82.127.254 | 22.82.127.255 | 8,190 |
| 149 | 22.82.128.0/19 | 22.82.128.1 to 22.82.159.254 | 22.82.159.255 | 8,190 |
| 150 | 22.82.160.0/19 | 22.82.160.1 to 22.82.191.254 | 22.82.191.255 | 8,190 |
| 151 | 22.82.192.0/19 | 22.82.192.1 to 22.82.223.254 | 22.82.223.255 | 8,190 |
| 152 | 22.82.224.0/19 | 22.82.224.1 to 22.82.255.254 | 22.82.255.255 | 8,190 |
| 153 | 22.83.0.0/19 | 22.83.0.1 to 22.83.31.254 | 22.83.31.255 | 8,190 |
| 154 | 22.83.32.0/19 | 22.83.32.1 to 22.83.63.254 | 22.83.63.255 | 8,190 |
| 155 | 22.83.64.0/19 | 22.83.64.1 to 22.83.95.254 | 22.83.95.255 | 8,190 |
| 156 | 22.83.96.0/19 | 22.83.96.1 to 22.83.127.254 | 22.83.127.255 | 8,190 |
| 157 | 22.83.128.0/19 | 22.83.128.1 to 22.83.159.254 | 22.83.159.255 | 8,190 |
| 158 | 22.83.160.0/19 | 22.83.160.1 to 22.83.191.254 | 22.83.191.255 | 8,190 |
| 159 | 22.83.192.0/19 | 22.83.192.1 to 22.83.223.254 | 22.83.223.255 | 8,190 |
| 160 | 22.83.224.0/19 | 22.83.224.1 to 22.83.255.254 | 22.83.255.255 | 8,190 |
| 161 | 22.84.0.0/19 | 22.84.0.1 to 22.84.31.254 | 22.84.31.255 | 8,190 |
| 162 | 22.84.32.0/19 | 22.84.32.1 to 22.84.63.254 | 22.84.63.255 | 8,190 |
| 163 | 22.84.64.0/19 | 22.84.64.1 to 22.84.95.254 | 22.84.95.255 | 8,190 |
| 164 | 22.84.96.0/19 | 22.84.96.1 to 22.84.127.254 | 22.84.127.255 | 8,190 |
| 165 | 22.84.128.0/19 | 22.84.128.1 to 22.84.159.254 | 22.84.159.255 | 8,190 |
| 166 | 22.84.160.0/19 | 22.84.160.1 to 22.84.191.254 | 22.84.191.255 | 8,190 |
| 167 | 22.84.192.0/19 | 22.84.192.1 to 22.84.223.254 | 22.84.223.255 | 8,190 |
| 168 | 22.84.224.0/19 | 22.84.224.1 to 22.84.255.254 | 22.84.255.255 | 8,190 |
| 169 | 22.85.0.0/19 | 22.85.0.1 to 22.85.31.254 | 22.85.31.255 | 8,190 |
| 170 | 22.85.32.0/19 | 22.85.32.1 to 22.85.63.254 | 22.85.63.255 | 8,190 |
| 171 | 22.85.64.0/19 | 22.85.64.1 to 22.85.95.254 | 22.85.95.255 | 8,190 |
| 172 | 22.85.96.0/19 | 22.85.96.1 to 22.85.127.254 | 22.85.127.255 | 8,190 |
| 173 | 22.85.128.0/19 | 22.85.128.1 to 22.85.159.254 | 22.85.159.255 | 8,190 |
| 174 | 22.85.160.0/19 | 22.85.160.1 to 22.85.191.254 | 22.85.191.255 | 8,190 |
| 175 | 22.85.192.0/19 | 22.85.192.1 to 22.85.223.254 | 22.85.223.255 | 8,190 |
| 176 | 22.85.224.0/19 | 22.85.224.1 to 22.85.255.254 | 22.85.255.255 | 8,190 |
| 177 | 22.86.0.0/19 | 22.86.0.1 to 22.86.31.254 | 22.86.31.255 | 8,190 |
| 178 | 22.86.32.0/19 | 22.86.32.1 to 22.86.63.254 | 22.86.63.255 | 8,190 |
| 179 | 22.86.64.0/19 | 22.86.64.1 to 22.86.95.254 | 22.86.95.255 | 8,190 |
| 180 | 22.86.96.0/19 | 22.86.96.1 to 22.86.127.254 | 22.86.127.255 | 8,190 |
| 181 | 22.86.128.0/19 | 22.86.128.1 to 22.86.159.254 | 22.86.159.255 | 8,190 |
| 182 | 22.86.160.0/19 | 22.86.160.1 to 22.86.191.254 | 22.86.191.255 | 8,190 |
| 183 | 22.86.192.0/19 | 22.86.192.1 to 22.86.223.254 | 22.86.223.255 | 8,190 |
| 184 | 22.86.224.0/19 | 22.86.224.1 to 22.86.255.254 | 22.86.255.255 | 8,190 |
| 185 | 22.87.0.0/19 | 22.87.0.1 to 22.87.31.254 | 22.87.31.255 | 8,190 |
| 186 | 22.87.32.0/19 | 22.87.32.1 to 22.87.63.254 | 22.87.63.255 | 8,190 |
| 187 | 22.87.64.0/19 | 22.87.64.1 to 22.87.95.254 | 22.87.95.255 | 8,190 |
| 188 | 22.87.96.0/19 | 22.87.96.1 to 22.87.127.254 | 22.87.127.255 | 8,190 |
| 189 | 22.87.128.0/19 | 22.87.128.1 to 22.87.159.254 | 22.87.159.255 | 8,190 |
| 190 | 22.87.160.0/19 | 22.87.160.1 to 22.87.191.254 | 22.87.191.255 | 8,190 |
| 191 | 22.87.192.0/19 | 22.87.192.1 to 22.87.223.254 | 22.87.223.255 | 8,190 |
| 192 | 22.87.224.0/19 | 22.87.224.1 to 22.87.255.254 | 22.87.255.255 | 8,190 |
| 193 | 22.88.0.0/19 | 22.88.0.1 to 22.88.31.254 | 22.88.31.255 | 8,190 |
| 194 | 22.88.32.0/19 | 22.88.32.1 to 22.88.63.254 | 22.88.63.255 | 8,190 |
| 195 | 22.88.64.0/19 | 22.88.64.1 to 22.88.95.254 | 22.88.95.255 | 8,190 |
| 196 | 22.88.96.0/19 | 22.88.96.1 to 22.88.127.254 | 22.88.127.255 | 8,190 |
| 197 | 22.88.128.0/19 | 22.88.128.1 to 22.88.159.254 | 22.88.159.255 | 8,190 |
| 198 | 22.88.160.0/19 | 22.88.160.1 to 22.88.191.254 | 22.88.191.255 | 8,190 |
| 199 | 22.88.192.0/19 | 22.88.192.1 to 22.88.223.254 | 22.88.223.255 | 8,190 |
| 200 | 22.88.224.0/19 | 22.88.224.1 to 22.88.255.254 | 22.88.255.255 | 8,190 |
| 201 | 22.89.0.0/19 | 22.89.0.1 to 22.89.31.254 | 22.89.31.255 | 8,190 |
| 202 | 22.89.32.0/19 | 22.89.32.1 to 22.89.63.254 | 22.89.63.255 | 8,190 |
| 203 | 22.89.64.0/19 | 22.89.64.1 to 22.89.95.254 | 22.89.95.255 | 8,190 |
| 204 | 22.89.96.0/19 | 22.89.96.1 to 22.89.127.254 | 22.89.127.255 | 8,190 |
| 205 | 22.89.128.0/19 | 22.89.128.1 to 22.89.159.254 | 22.89.159.255 | 8,190 |
| 206 | 22.89.160.0/19 | 22.89.160.1 to 22.89.191.254 | 22.89.191.255 | 8,190 |
| 207 | 22.89.192.0/19 | 22.89.192.1 to 22.89.223.254 | 22.89.223.255 | 8,190 |
| 208 | 22.89.224.0/19 | 22.89.224.1 to 22.89.255.254 | 22.89.255.255 | 8,190 |
| 209 | 22.90.0.0/19 | 22.90.0.1 to 22.90.31.254 | 22.90.31.255 | 8,190 |
| 210 | 22.90.32.0/19 | 22.90.32.1 to 22.90.63.254 | 22.90.63.255 | 8,190 |
| 211 | 22.90.64.0/19 | 22.90.64.1 to 22.90.95.254 | 22.90.95.255 | 8,190 |
| 212 | 22.90.96.0/19 | 22.90.96.1 to 22.90.127.254 | 22.90.127.255 | 8,190 |
| 213 | 22.90.128.0/19 | 22.90.128.1 to 22.90.159.254 | 22.90.159.255 | 8,190 |
| 214 | 22.90.160.0/19 | 22.90.160.1 to 22.90.191.254 | 22.90.191.255 | 8,190 |
| 215 | 22.90.192.0/19 | 22.90.192.1 to 22.90.223.254 | 22.90.223.255 | 8,190 |
| 216 | 22.90.224.0/19 | 22.90.224.1 to 22.90.255.254 | 22.90.255.255 | 8,190 |
| 217 | 22.91.0.0/19 | 22.91.0.1 to 22.91.31.254 | 22.91.31.255 | 8,190 |
| 218 | 22.91.32.0/19 | 22.91.32.1 to 22.91.63.254 | 22.91.63.255 | 8,190 |
| 219 | 22.91.64.0/19 | 22.91.64.1 to 22.91.95.254 | 22.91.95.255 | 8,190 |
| 220 | 22.91.96.0/19 | 22.91.96.1 to 22.91.127.254 | 22.91.127.255 | 8,190 |
| 221 | 22.91.128.0/19 | 22.91.128.1 to 22.91.159.254 | 22.91.159.255 | 8,190 |
| 222 | 22.91.160.0/19 | 22.91.160.1 to 22.91.191.254 | 22.91.191.255 | 8,190 |
| 223 | 22.91.192.0/19 | 22.91.192.1 to 22.91.223.254 | 22.91.223.255 | 8,190 |
| 224 | 22.91.224.0/19 | 22.91.224.1 to 22.91.255.254 | 22.91.255.255 | 8,190 |
| 225 | 22.92.0.0/19 | 22.92.0.1 to 22.92.31.254 | 22.92.31.255 | 8,190 |
| 226 | 22.92.32.0/19 | 22.92.32.1 to 22.92.63.254 | 22.92.63.255 | 8,190 |
| 227 | 22.92.64.0/19 | 22.92.64.1 to 22.92.95.254 | 22.92.95.255 | 8,190 |
| 228 | 22.92.96.0/19 | 22.92.96.1 to 22.92.127.254 | 22.92.127.255 | 8,190 |
| 229 | 22.92.128.0/19 | 22.92.128.1 to 22.92.159.254 | 22.92.159.255 | 8,190 |
| 230 | 22.92.160.0/19 | 22.92.160.1 to 22.92.191.254 | 22.92.191.255 | 8,190 |
| 231 | 22.92.192.0/19 | 22.92.192.1 to 22.92.223.254 | 22.92.223.255 | 8,190 |
| 232 | 22.92.224.0/19 | 22.92.224.1 to 22.92.255.254 | 22.92.255.255 | 8,190 |
| 233 | 22.93.0.0/19 | 22.93.0.1 to 22.93.31.254 | 22.93.31.255 | 8,190 |
| 234 | 22.93.32.0/19 | 22.93.32.1 to 22.93.63.254 | 22.93.63.255 | 8,190 |
| 235 | 22.93.64.0/19 | 22.93.64.1 to 22.93.95.254 | 22.93.95.255 | 8,190 |
| 236 | 22.93.96.0/19 | 22.93.96.1 to 22.93.127.254 | 22.93.127.255 | 8,190 |
| 237 | 22.93.128.0/19 | 22.93.128.1 to 22.93.159.254 | 22.93.159.255 | 8,190 |
| 238 | 22.93.160.0/19 | 22.93.160.1 to 22.93.191.254 | 22.93.191.255 | 8,190 |
| 239 | 22.93.192.0/19 | 22.93.192.1 to 22.93.223.254 | 22.93.223.255 | 8,190 |
| 240 | 22.93.224.0/19 | 22.93.224.1 to 22.93.255.254 | 22.93.255.255 | 8,190 |
| 241 | 22.94.0.0/19 | 22.94.0.1 to 22.94.31.254 | 22.94.31.255 | 8,190 |
| 242 | 22.94.32.0/19 | 22.94.32.1 to 22.94.63.254 | 22.94.63.255 | 8,190 |
| 243 | 22.94.64.0/19 | 22.94.64.1 to 22.94.95.254 | 22.94.95.255 | 8,190 |
| 244 | 22.94.96.0/19 | 22.94.96.1 to 22.94.127.254 | 22.94.127.255 | 8,190 |
| 245 | 22.94.128.0/19 | 22.94.128.1 to 22.94.159.254 | 22.94.159.255 | 8,190 |
| 246 | 22.94.160.0/19 | 22.94.160.1 to 22.94.191.254 | 22.94.191.255 | 8,190 |
| 247 | 22.94.192.0/19 | 22.94.192.1 to 22.94.223.254 | 22.94.223.255 | 8,190 |
| 248 | 22.94.224.0/19 | 22.94.224.1 to 22.94.255.254 | 22.94.255.255 | 8,190 |
| 249 | 22.95.0.0/19 | 22.95.0.1 to 22.95.31.254 | 22.95.31.255 | 8,190 |
| 250 | 22.95.32.0/19 | 22.95.32.1 to 22.95.63.254 | 22.95.63.255 | 8,190 |
| 251 | 22.95.64.0/19 | 22.95.64.1 to 22.95.95.254 | 22.95.95.255 | 8,190 |
| 252 | 22.95.96.0/19 | 22.95.96.1 to 22.95.127.254 | 22.95.127.255 | 8,190 |
| 253 | 22.95.128.0/19 | 22.95.128.1 to 22.95.159.254 | 22.95.159.255 | 8,190 |
| 254 | 22.95.160.0/19 | 22.95.160.1 to 22.95.191.254 | 22.95.191.255 | 8,190 |
| 255 | 22.95.192.0/19 | 22.95.192.1 to 22.95.223.254 | 22.95.223.255 | 8,190 |
| 256 | 22.95.224.0/19 | 22.95.224.1 to 22.95.255.254 | 22.95.255.255 | 8,190 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |